#ifndef EDITORTEX_H
#define EDITORTEX_H

#include <glib.h>

/*
 *	Texture structure:
 */
typedef struct {

	gchar	*name;
	gchar	*filename;
	gfloat	priority;

	guint8	*data;
	gint	width, height,
		bpp, bpl;

} editor_tex_struct;
#define EDITOR_TEX(p)	((editor_tex_struct *)(p))


extern gint EditorTexLoad(editor_tex_struct *t, const gchar *path);

extern editor_tex_struct *EditorTexNew(void);
extern editor_tex_struct *EditorTexNewLoad(
	const gchar *path,		/* Loaded from this file. */
	const gchar *name,
	const gchar *filename,
	gfloat priority
);
extern void EditorTexDelete(editor_tex_struct *t);

#endif	/* EDITORTEX_H */
