#ifndef OPTIONS_H
#define OPTIONS_H

#include <gtk/gtk.h>

typedef struct {

	gchar	*cfg_file;			/* Options file. */
	gchar	*sar_dir;
	gint 	editor_last_x, editor_last_y,
		editor_last_width, editor_last_height,
		editor_last_page,
		editor_last_scenery_paned_position,
		editor_last_view_paned_position,
		editor_last_units,
		editor_last_cursor_xw, editor_last_cursor_yw;
	gulong	editor_view_display_flags;
	gfloat	editor_last_view_xm, editor_last_view_ym,
		editor_last_view_zoom, editor_last_view_grid_spacing;
	gchar	*last_scn_filename;

} options_struct;

#define OPTIONS(p)	((options_struct *)(p))


extern options_struct *OptionsNew(void);
extern void OptionsDelete(options_struct *o);

extern gint OptionsLoadFromFile(options_struct *o, const gchar *filename);
extern gint OptionsSaveToFile(const options_struct *o, const gchar *filename);


#endif	/* OPTIONS_H */
